unit uEditorBasico;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, uGUIBase, uCustomEditor;

type
  IEditorBasico = interface(ICustomEditor)
  ['{CE4B2B04-F8DA-4C96-B071-CC5792C14D51}']
    function ShowModal : Integer;
  end;

  TfEditorBasico = class(TCustomEditor, IEditorBasico)
  protected
    FWindowCaption : String;
    FHeaderText : String;

    function GetHeaderText: String;
    function GetWindowCaption: String;
    procedure SetHeaderText(const Value: String);
    procedure SetWindowCaption(const Value: String);

  published
    procedure CustomEditorShow(Sender: TObject);
  published
    property WindowCaption : String read GetWindowCaption write SetWindowCaption;
    property HeaderText : String read GetHeaderText write SetHeaderText;

  end;

implementation
{$R *.dfm}

uses
  uDisplayUtils;

procedure TfEditorBasico.CustomEditorShow(Sender: TObject);
begin
  ScaleFormFont(Self);
end;

function TfEditorBasico.GetHeaderText: String;
begin
  Result := FHeaderText;
end;

function TfEditorBasico.GetWindowCaption: String;
begin
  Result := FWindowCaption;
end;

procedure TfEditorBasico.SetHeaderText(const Value: String);
begin
  FHeaderText := Value;
end;

procedure TfEditorBasico.SetWindowCaption(const Value: String);
begin
  FWindowCaption := Value;
end;

initialization
  RegisterClass(TfEditorBasico);

finalization
  UnRegisterClass(TfEditorBasico);
end.
